Zum Inhalt springen
Bpanda
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Export the given elements as an ArchiMate XML file.

Export the given elements as an ArchiMate XML file. Exports the architecture elements with the given IDs and their relationships as an ArchiMate-XML file. An empty list exports the whole warehouse.

Security: Manager or Designer of the process space.

POST/v1/warehouses/{warehouseId}/archimate/export
Autorisierung
AuthorizationBearer-Token (JWT) · headererforderlich
BpmLicenseAPI-Schlüssel · headererforderlich
Pfadparameter
warehouseIdstringerforderlich

ID of warehouse

Query-Parameter
xmlOnlyboolean

If true, yields the plain ArchiMate document instead of the ZIP

Request-Body
erforderlichapplication/json

Architecture element IDs to export, empty for all

Array von string
string
Antworten
200

The exported ZIP, or the plain ArchiMate-XML file when xmlOnly=true

403

Forbidden: insufficient permissions

string
404

Warehouse not found

string
Ausprobieren
Server
Autorisierung
Parameter
Bodyapplication/json
Anfrage
curl -X POST 'https://goto.bpanda.com/api/v1/warehouses/string/archimate/export' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '[
  "string"
]'
Antwort
The exported ZIP, or the plain ArchiMate-XML file when xmlOnly=true